Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® OLAP Analytic Workspace Java API Reference 10g Release 2 (10.2) B14351-02
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.AWXML
Class Hierarchy

    java.lang.Object
      |
      +--oracle.AWXML.BaseObject
            |
            +--oracle.AWXML.AWObject
                  |
                  +--oracle.AWXML.Hierarchy

public class Hierarchy
extends AWObject
implements DerivedMeasureInput

An `AWObject` that specifies a hierarchy of a dimension. A hierarchy defines an ordered set of relationships between dimension members.

A `Hierarchy` can be level-based or value-based. A level-based `Hierarchy` has associated `Level` objects and an ordered list of `HierarchyLevelAssociation` objects that specify the order of the `Level` objects in the `Hierarchy`. The first level is the most aggregate and the last level is the least aggregate.

A `Hierarchy` implements the `DerivedMeasureInput` interface, and therefore you can use it as input to the calculations for a `DerivedMeasure`.

Fields inherited from class oracle.AWXML.BaseObject
`DATABASENULL`

Constructor Summary
`Hierarchy(BaseObject input)` Creates a `Hierarchy` for the specified `Dimension`.

Method Summary
`void` | `addHierarchyLevelAssociation(HierarchyLevelAssociation input)` Adds the specified `HierarchyLevelAssociation` to the end of the list of `HierarchyLevelAssociation` objects of the `Hierarchy`.
`void` | `addHierarchyLevelAssociationAfter(HierarchyLevelAssociation input, BaseObject reference)` Adds the specified `HierarchyLevelAssociation` after the referenced `HierarchyLevelAssociation` in the list of `HierarchyLevelAssociation` objects of the `Hierarchy`.
`void` | `addHierarchyLevelAssociationBefore(HierarchyLevelAssociation input, BaseObject reference)` Adds the specified `HierarchyLevelAssociation` before the referenced `HierarchyLevelAssociation` in the list of `HierarchyLevelAssociation` objects of the `Hierarchy`.
`void` | `addHierarchyLevelAssociationFirst(HierarchyLevelAssociation input)` Adds the specified `HierarchyLevelAssociation` to the beginning of the list of `HierarchyLevelAssociation` objects of the `Hierarchy`.
`java.lang.String` | `Alter(AWConnection connection)` Alters the `Hierarchy` in the current analytic workspace of the specified database connection.
`java.lang.String` | `Create(AWConnection connection)` Creates a `Hierarchy` in the current analytic workspace of the specified connection.
`HierarchyLevelAssociation` | `createHierarchyLevelAssociation()` Creates a `HierarchyLevelAssociation` and adds it to the end of the list of `HierarchyLevelAssociation` objects of the `Hierarchy`.
`HierarchyLevelAssociation` | `createHierarchyLevelAssociationAfter(HierarchyLevelAssociation input)` Creates a `HierarchyLevelAssociation` and adds it after the specified `HierarchyLevelAssociation` to the the list of `HierarchyLevelAssociation` objects of the `Hierarchy`.
`HierarchyLevelAssociation` | `createHierarchyLevelAssociationBefore(HierarchyLevelAssociation input)` Creates a `HierarchyLevelAssociation` and adds it before the specified `HierarchyLevelAssociation` to the the list of `HierarchyLevelAssociation` objects of the `Hierarchy`.
`HierarchyLevelAssociation` | `createHierarchyLevelAssociationFirst()` Creates a `HierarchyLevelAssociation` and adds it to the beginning of the list of `HierarchyLevelAssociation` objects of the `Hierarchy`.
`java.lang.String` | `Delete(AWConnection connection)` Deletes the `Hierarchy` in the current analytic workspace of the specified database connection.
`AttributeProjection` | `findAttributeProjection(Attribute input)` Gets the specified `AttributeProjection` from the list of `Attribute` objects owned by the `Hierarchy`.
`Attribute` | `getDefaultOrder()` Gets the `Attribute` that specifies the ordering of the `Hierarchy` members.
`java.util.Vector` | `getHierarchyLevels()` Gets the list of the `HierarchyLevelAssociation` objects of the `Hierarchy`.
`boolean` | `getIsDefault()` Indicates whether the `Hierarchy` is the default hierarchy for the associated `Dimension`.
`java.lang.String` | `getType()` Gets the type of the `Hierarchy`, which is `LEVEL` for a level-based hierarchy or `VALUE` for a value-based hierarchy.
`void` | `readAWDefinitions(AWConnection connection, boolean readType)` Reads into memory the objects owned by the `Hierarchy`, thereby making them available for processing in the current analytic workspace of the specified database connection.
`void` | `removeHierarchyLevelAssociation(HierarchyLevelAssociation input)` Removes the specified `HierarchyLevelAssociation` from the `Hierarchy`.
`void` | `setDefaultOrder(Attribute input)` Specifies an `Attribute` that defines the order of the members of the `Hierarchy`.
`void` | `setIsDefault(boolean input)` Specifies whether the `Hierarchy` is the default hierarchy for the associated `Dimension`.
`void` | `setIsDefault(java.lang.Boolean input)` Specifies whether the `Hierarchy` is the default hierarchy for the associated `Dimension`.
`void` | `setType(java.lang.String input)` Specifies the type of the `Hierarchy`, which is `LEVEL` for a level-based hierarchy or `VALUE` for a value-based hierarchy.
`java.lang.String` | `WriteToXML()` Gets an XML representation of the `Hierarchy`.

Methods inherited from class oracle.AWXML.AWObject
`addAttribute, addAttributeProjection, addSourceCubeMapGroup, addSourceDimensionMapGroup, addSourceMappingGroup, createAttribute, createAttributeProjection, createSourceCubeMapGroup, createSourceDimensionMapGroup, getAttributes, getSourceMapGroup, removeAttribute, removeAttributeProjection, removeAttributeProjection, removeSourceMappingGroup`

Methods inherited from class oracle.AWXML.BaseObject
`CreateAfter, CreateBefore, CreateFirst, DataRead, getColumnName, getId, getLongName, getLongName, getName, getOwner, getPluralName, getPluralName, getSchema, getShortName, getShortName, setColumnName, setLongName, setLongName, setName, setPluralName, setPluralName, setSchema, setShortName, setShortName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Hierarchy

    public Hierarchy(BaseObject input)

  Creates a `Hierarchy` for the specified `Dimension`. An application should use the ``Dimension.createHierarchy()`` factory method to create a `Hierarchy` rather than using this method.
  Parameters:
    `input` - The `BaseObject` that you want to own the `Hierarchy`.

Method Detail

### WriteToXML

    public java.lang.String WriteToXML()

  Gets an XML representation of the `Hierarchy`.
  Overrides:
    WriteToXML in class AWObject
  Returns:
    An XML `String` that represents the `Hierarchy`.

### setDefaultOrder

    public void setDefaultOrder(Attribute input)

  Specifies an `Attribute` that defines the order of the members of the `Hierarchy`.
  Parameters:
    `input` - The `Attribute` that you want to define the order of the members of the `Hierarchy`.

### getDefaultOrder

    public Attribute getDefaultOrder()

  Gets the `Attribute` that specifies the ordering of the `Hierarchy` members.
  Returns:
    The `Attribute` that specifies the ordering of the `Hierarchy` members.

### setIsDefault

    public void setIsDefault(java.lang.Boolean input)

  Specifies whether the `Hierarchy` is the default hierarchy for the associated `Dimension`.
  Parameters:
    `input` - A `Boolean` that contains `true` if you want the `Hierarchy` to be the default or `false` otherwise.

### setIsDefault

    public void setIsDefault(boolean input)

  Specifies whether the `Hierarchy` is the default hierarchy for the associated `Dimension`.
  Parameters:
    `input` - A `boolean` that is `true` if you want the `Hierarchy` to be the default or `false` otherwise.

### getIsDefault

    public boolean getIsDefault()

  Indicates whether the `Hierarchy` is the default hierarchy for the associated `Dimension`.
  Returns:
    A `boolean` that is `true` if the `Hierarchy` is the default or `false` if it is not.

### addHierarchyLevelAssociation

    public void addHierarchyLevelAssociation(HierarchyLevelAssociation input)

  Adds the specified `HierarchyLevelAssociation` to the end of the list of `HierarchyLevelAssociation` objects of the `Hierarchy`. The `Level` associated with the specified `HierarchyLevelAssociation` is therefore identified as the lowest, least aggregate, `Level`.
  Parameters:
    `input` - The `HierarchyLevelAssociation` to add to the `Hierarchy`.

### addHierarchyLevelAssociationAfter

    public void addHierarchyLevelAssociationAfter(HierarchyLevelAssociation input,
                                                  BaseObject reference)

  Adds the specified `HierarchyLevelAssociation` after the referenced `HierarchyLevelAssociation` in the list of `HierarchyLevelAssociation` objects of the `Hierarchy`.
  Parameters:
    `input` - The `HierarchyLevelAssociation` to add to the `Hierarchy`.
    `reference` - The `HierarchyLevelAssociation` after which to add the specified `HierarchyLevelAssociation`.

### addHierarchyLevelAssociationBefore

    public void addHierarchyLevelAssociationBefore(HierarchyLevelAssociation input,
                                                   BaseObject reference)

  Adds the specified `HierarchyLevelAssociation` before the referenced `HierarchyLevelAssociation` in the list of `HierarchyLevelAssociation` objects of the `Hierarchy`.
  Parameters:
    `input` - The `HierarchyLevelAssociation` to add to the `Hierarchy`.
    `reference` - The `HierarchyLevelAssociation` before which to add the specified `HierarchyLevelAssociation`.

### addHierarchyLevelAssociationFirst

    public void addHierarchyLevelAssociationFirst(HierarchyLevelAssociation input)

  Adds the specified `HierarchyLevelAssociation` to the beginning of the list of `HierarchyLevelAssociation` objects of the `Hierarchy`. The `Level` associated with the specified `HierarchyLevelAssociation` is therefore identified as the highest, most aggregate, `Level`.
  Parameters:
    `input` - The `HierarchyLevelAssociation` to add to the `Hierarchy`.

### removeHierarchyLevelAssociation

    public void removeHierarchyLevelAssociation(HierarchyLevelAssociation input)

  Removes the specified `HierarchyLevelAssociation` from the `Hierarchy`.
  Parameters:
    `input` - The `HierarchyLevelAssociation` to remove from the `Hierarchy`.

### getHierarchyLevels

    public java.util.Vector getHierarchyLevels()

  Gets the list of the `HierarchyLevelAssociation` objects of the `Hierarchy`.
  Returns:
    A `Vector` that contains the list of the `HierarchyLevelAssociation` objects of the `Hierarchy`.

### createHierarchyLevelAssociation

    public HierarchyLevelAssociation createHierarchyLevelAssociation()

  Creates a `HierarchyLevelAssociation` and adds it to the end of the list of `HierarchyLevelAssociation` objects of the `Hierarchy`. The `Level` associated with the new `HierarchyLevelAssociation` is therefore identified as the lowest, least aggregate, `Level`.
  Returns:
    The new `HierarchyLevelAssociation`.

### getType

    public java.lang.String getType()

  Gets the type of the `Hierarchy`, which is `LEVEL` for a level-based hierarchy or `VALUE` for a value-based hierarchy.
  Returns:
    A `String` that contains `LEVEL` for a level-based hierarchy or `VALUE` for a value-based hierarchy.

### setType

    public void setType(java.lang.String input)

  Specifies the type of the `Hierarchy`, which is `LEVEL` for a level-based hierarchy or `VALUE` for a value-based hierarchy. By default, a `Hierarchy` is level-based.
  Parameters:
    `input` - A `String` that contains `LEVEL` for a level-based hierarchy or `VALUE` for a value-based hierarchy.

### createHierarchyLevelAssociationAfter

    public HierarchyLevelAssociation createHierarchyLevelAssociationAfter(HierarchyLevelAssociation input)

  Creates a `HierarchyLevelAssociation` and adds it after the specified `HierarchyLevelAssociation` to the the list of `HierarchyLevelAssociation` objects of the `Hierarchy`.
  Parameters:
    `input` - The `HierarchyLevelAssociation` after which to add the new `HierarchyLevelAssociation`.
  Returns:
    The new `HierarchyLevelAssociation` object.

### createHierarchyLevelAssociationBefore

    public HierarchyLevelAssociation createHierarchyLevelAssociationBefore(HierarchyLevelAssociation input)

  Creates a `HierarchyLevelAssociation` and adds it before the specified `HierarchyLevelAssociation` to the the list of `HierarchyLevelAssociation` objects of the `Hierarchy`.
  Parameters:
    `input` - The `HierarchyLevelAssociation` before which to add the new `HierarchyLevelAssociation`.
  Returns:
    The new `HierarchyLevelAssociation` object.

### createHierarchyLevelAssociationFirst

    public HierarchyLevelAssociation createHierarchyLevelAssociationFirst()

  Creates a `HierarchyLevelAssociation` and adds it to the beginning of the list of `HierarchyLevelAssociation` objects of the `Hierarchy`. The `Level` associated with the new `HierarchyLevelAssociation` is therefore identified as the highest, most aggregate, `Level`.
  Returns:
    The new `HierarchyLevelAssociation`.

### Create

    public java.lang.String Create(AWConnection connection)

  Creates a `Hierarchy` in the current analytic workspace of the specified connection.
  Overrides:
    Create in class BaseObject
  Parameters:
    `connection` - The `AWConnection` that specifies the connection.
  Returns:
    A `String` that contains `success` if this method successfully creates the `Hierarchy`.

### Alter

    public java.lang.String Alter(AWConnection connection)

  Alters the `Hierarchy` in the current analytic workspace of the specified database connection.
  Overrides:
    Alter in class BaseObject
  Parameters:
    `connection` - The `AWConnection` that specifies the database connection.
  Returns:
    A `String` that contains `success` if this method successfully alters the `Hierarchy`.

### Delete

    public java.lang.String Delete(AWConnection connection)

  Deletes the `Hierarchy` in the current analytic workspace of the specified database connection.
  Overrides:
    Delete in class BaseObject
  Parameters:
    `connection` - The `AWConnection` that specifies the database connection.
  Returns:
    A `String` that contains `success` if this method successfully deletes the `Hierarchy`.

### findAttributeProjection

    public AttributeProjection findAttributeProjection(Attribute input)

  Gets the specified `AttributeProjection` from the list of `Attribute` objects owned by the `Hierarchy`.
  Parameters:
    `input` - The `AttributeProjection` that you want to find.
  Returns:
    The `AttributeProjection` that you want to find if it is in the list of `Attribute` objects owned by the `Hierarchy`

### readAWDefinitions

    public void readAWDefinitions(AWConnection connection,
                                  boolean readType)

  Reads into memory the objects owned by the `Hierarchy`, thereby making them available for processing in the current analytic workspace of the specified database connection.
  Parameters:
    `connection` - The `AWConnection` that specifies the database connection.
    `readType` - A `boolean` that for most model objects specifies whether to read into memory the object and all its child objects or only some of the child objects. For a `Hierarchy` object, however, the value of this parameter has no effect. All child objects are always read into memory.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® OLAP Analytic Workspace Java API Reference 10g Release 2 (10.2) B14351-02
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003, 2005 Oracle. All rights reserved.